summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Daniel Romero2013-10-28 00:46:34 +0100
committer Robby Workman2013-10-28 05:39:07 +0100
commitd29439228c92391ae0293ceecf9d8e760e7462b9 (patch)
treeaf600d625d8ba6fa4dbc6d94a29bc91ed883592a
parentc40c0d3d28d1578cc0be514589873fad660f9f9e (diff)
downloadslackbuilds-d29439228c92391ae0293ceecf9d8e760e7462b9.tar.gz
ruby/ruby2: Added (Interpreted object-oriented scripting language)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--ruby/ruby2/README4
-rw-r--r--ruby/ruby2/ruby2.SlackBuild106
-rw-r--r--ruby/ruby2/ruby2.info10
-rw-r--r--ruby/ruby2/slack-desc19
4 files changed, 139 insertions, 0 deletions
diff --git a/ruby/ruby2/README b/ruby/ruby2/README
new file mode 100644
index 0000000000..ac47f2ca73
--- /dev/null
+++ b/ruby/ruby2/README
@@ -0,0 +1,4 @@
+Ruby is an interpreted scripting language for quick and easy
+object-oriented programming. It has many features to process text
+files and to do system management tasks (as in Perl). It is simple,
+straight-forward, and extensible.
diff --git a/ruby/ruby2/ruby2.SlackBuild b/ruby/ruby2/ruby2.SlackBuild
new file mode 100644
index 0000000000..160bf5f395
--- /dev/null
+++ b/ruby/ruby2/ruby2.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/sh
+
+# Slackware build script for Ruby 2.0
+
+# Copyright 2013 Daniel Romero <infoslack@gmail.com>, Fortaleza, CE, BRA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ruby2
+VERSION=${VERSION:-2.0.0-p247}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=ruby
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s+X .
+
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --datadir=/usr/share \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-shared \
+ --enable-pthread \
+ --disable-install-capi \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Maintaining compatibility with another version of Ruby that is already installed
+# Remove this block if you want to just keep this version
+( cd $PKG/usr/bin
+ mv ruby ruby2
+ mv rake rake2
+ mv irb irb2
+ mv gem gem2
+ mv erb erb2
+ mv rdoc rdoc2
+ mv testrb testrb2
+ mv ri ri2
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ BSDL COPYING* *GPL* ChangeLog LEGAL NEWS README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/ruby/ruby2/ruby2.info b/ruby/ruby2/ruby2.info
new file mode 100644
index 0000000000..c83b71ff03
--- /dev/null
+++ b/ruby/ruby2/ruby2.info
@@ -0,0 +1,10 @@
+PRGNAM="ruby2"
+VERSION="2.0.0-p247"
+HOMEPAGE="http://www.ruby-lang.org"
+DOWNLOAD="http://cache.ruby-lang.org/pub/ruby/2.0/ruby-2.0.0-p247.tar.gz"
+MD5SUM="c351450a0bed670e0f5ca07da3458a5b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Daniel Romero"
+EMAIL="infoslack@gmail.com"
diff --git a/ruby/ruby2/slack-desc b/ruby/ruby2/slack-desc
new file mode 100644
index 0000000000..d984a29a4b
--- /dev/null
+++ b/ruby/ruby2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ruby2: ruby2 (Interpreted object-oriented scripting language)
+ruby2:
+ruby2: Ruby is an interpreted scripting language for quick and easy
+ruby2: object-oriented programming. It has many features to process text
+ruby2: files and to do system management tasks (as in Perl). It is simple,
+ruby2: straight-forward, and extensible.
+ruby2:
+ruby2: Visit the Ruby project online at http://www.ruby-lang.org/
+ruby2:
+ruby2:
+ruby2: